package com.dsic.gj_erp.mapper.jhgk;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsic.gj_erp.bean.jcsj.Ydjhzz;
import com.dsic.gj_erp.bean.jhgk.DmSygdMx;
import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import com.dsic.gj_erp.bean.jhgk.DmYdjhLj;
import com.dsic.gj_erp.bean.jhgk.dto.RjhDto;
import com.dsic.gj_erp.bean.pgd.*;
import com.dsic.gj_erp.controller.zyjh.dto.SljhSearch;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author xn
 * @since 2023-11-09
 */
public interface DmYdjhMapper extends BaseMapper<DmYdjh> {

    List<DmYdjh> getSljhWithDjh(SljhSearch search);

    int getNotPPLjCount(String dcch,String pl,String fd);

    List<DmYdjh> getWithDjh(Integer zt,String zyq);

    List<Object> getWppljAndPpyz(String zyq1);

    List<DmYdjh> tqYppyzFromYdjh(DmYdjh dmYdjh);

    List<DmSygdMx> getSygdmx(String nextMonth);

    //   List<PgdTzjh> getTzjh(@Param("begin") String begin, @Param("end") String end);
    List<PgdTzjh> getTzjh(@Param("list") List<String> list, @Param("bzry") String bzry, @Param("bzrq") String bzrq);

    List<PgdDh> getDhjh(@Param("begin") String begin, @Param("end") String end);

    List<PgdSljh> getSljh(@Param("list") List<String> list, @Param("bzry") String bzry, @Param("bzrq") String bzrq);

    List<PgdPwjh> getPwjh(@Param("list") List<String> list, @Param("bzry") String bzry, @Param("bzrq") String bzrq);

    List<PgdQgjh> getQgjh(@Param("list") List<String> list, @Param("bzry") String bzry, @Param("bzrq") String bzrq);

    int xfbc(List<String> ids);

    int tqlj(List<String> ids);
    int tqljByInfo(String dcCh,String dcPl,String tzbh);
    List<DmYdjhLj> getLjInfo(String dcCh,String dcPl,String tzbh);

    List<PgdTzjh> getTzjh1(@Param("begin") String begin, @Param("end") String end);

    List<PgdDh> getDhjh1(String id);

    List<PgdSljh> getSljh1(@Param("begin") String begin, @Param("end") String end);

    List<PgdPwjh> getPwjh1(@Param("begin") String begin, @Param("end") String end);

    List<PgdQgjh> getQgjh1(@Param("begin") String begin, @Param("end") String end);

    @MapKey("kw")
    Map<String, Object> gekuachaliang(String from, String to, String zt);

    List<Map<String, Object>> jhwcqk(String from, String to);

    List<Map<String, Object>> gyfcl();

    List<Map<String, Object>> gxjhwcqk(String from, String to);

    List<Map<String, Object>> gcjd(List<String> czbh);

    DmYdjh getYdjhMin(@Param("dcch") String dcch, @Param("dcpl") String dcpl);

    List<DmYdjh> getydjhhz(Map map);

    List<Map<String,Object>> getWcl();

    List<Map<String,Object>> getYdjhByZt(String zyq,Integer zt,String wgzt,String wclzt,String from, String to);

    void xzylbs(String dcch,String dcpl);
    void updatezyq(String dcch,String dcpl);

    Map<String,Object> getMPSYCLJLJBP(String dcCh,String tzbh);
    List<Ydjhzz> getYdjhzz(String ch);
    RjhDto getRjh(String date);
    RjhDto getSyRwc(String yf,int num);
    RjhDto getByRjh(String yf,int num);
}
